Error while running Rasa X statement

   (covidbot) E:\Chatbots\covid_bot>rasa x

Starting Rasa X in local mode… � 2021-07-09 10:30:14 WARNING rasax.community.services.insights.insight_service - No new evaluation results. 2021-07-09 10:30:17 ERROR concurrent.futures - exception calling callback for <Future at 0x195b27b7e20 state=finished raised gaierror> Traceback (most recent call last): File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\socket.py”, line 914, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-07-09 10:30:17 ERROR concurrent.futures - exception calling callback for <Future at 0x195b27bc3a0 state=finished returned list> Traceback (most recent call last): File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed Traceback (most recent call last): File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\site-packages\rasa\cli\x.py”, line 495, in run_locally local.main( File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\asyncio\base_events.py”, line 608, in run_until_complete return future.result() File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatib le_version minimum_version = await self.minimum_compatible_version() File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\site-packages\rasax\community\services\stack_service.py”, line 92, in version response = await session.get( File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “c:\users\devashree sharma\anaconda3\envs\covidbot\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popp ed up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

@devashree_09 can you share more info about your environment? What versions of rasa x, rasa, and python are you running?

@devashree_09 This error you are getting after running the Rasa X and you are able to see Rasa X in browser but at the terminal you seeing this error right?

Please try this:

  1. Go to the directory: venv/Lib/site-packages/rasa/core/channels/console.py
  2. Change the default value of DEFAULT_STREAM_READING_TIMEOUT_IN_SECONDS to more than 10, what ever time you required.

Note: Change the name as per your env name.

Hope it will fix your issue. If still error persist share the error.